<div style="width: 100%;" nz-row nzJustify="center" *ngIf="selectedElectionType?.key === 'Congress' && canCandidate"> <!-- && !isCandidate -->
  <div nz-col nzXs="20" nzSm="14" nzMd="8" style="text-align: center; margin-bottom: 10px;">
    <h3>{{ 'Politics.Elections.SelectRegion' | translate }}</h3>
    <nz-select
    nzShowSearch nzAllowClear nzPlaceHolder="{{ 'Politics.Elections.SelectRegion' | translate }}" style="width: 100%;"
      [(ngModel)]="selectedRegionId" (ngModelChange)="onRegionChange()">
      <nz-option *ngFor="let region of regions" [nzValue]="region.id" [nzLabel]="region.name"></nz-option>
    </nz-select>
  </div>
</div>
<div style="width: 100%; margin-bottom: 20px;" nz-row nzJustify="space-around">
  <button *ngIf="!canManage && !isCandidate && canCandidate === true" nz-col nzXs="20" nzSm="14" nzMd="8" nz-button
    nzShape="round" nzType="primary" style="width: 100%;"
    [disabled]="selectedElectionType.key === 'Congress' && !selectedRegionId" (click)="candidate()">
    {{ "Politics.Elections.Candidate" | translate }}
  </button>
  <button *ngIf="!canManage && isCandidate" nz-col nzXs="20" nzSm="14" nzMd="8" nz-button nzShape="round" nzDanger
    nzType="primary" style="width: 100%;" (click)="resign()">
    {{ "Citizen.Company.Resign" | translate }}
  </button>
  <button *ngIf="canManage" nz-col nzXs="20" nzSm="14" nzMd="8" nz-button nzShape="round" nzType="primary"
    style="width: 100%;" (click)="saveChanges()">
    {{ "Common.Buttons.SaveChanges" | translate }}
  </button>
</div>

<div style="min-height: 200px;">
  <nz-spin [nzSpinning]="isLoading">

    <div style="text-align: center;" *ngIf="candidates && candidates.length === 0">
      <nz-alert [nzMessage]="'Politics.Elections.noCandidatesElections' | translate" nzType="info"
        nzShowIcon="true"></nz-alert>
    </div>

    <nz-table *ngIf="candidates && candidates.length > 0" nzSize="middle" [nzFrontPagination]="false"
      [nzShowPagination]="false" [nzData]="candidates">
      <thead>
        <tr>
          <th>{{ "Politics.Elections.Candidate" | translate }}</th>
          <th *ngIf="selectedElectionType.key == 'CountryPresident'"></th>
          <th *ngIf="selectedElectionType.key == 'Congress'">{{'Common.Region' | translate }}</th>
          <th *ngIf="selectedElectionType.key != 'PartyPresident'">{{ "Politics.Elections.IsOfficial" | translate }}?
          </th>
          <th *ngIf="selectedElectionType.key != 'PartyPresident'">{{ "Politics.Elections.ListPlace" | translate }}</th>
          <th></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let candidate of candidates; index as i">
          <td>
            <nz-avatar nzIcon="user" nzShape="square" [nzSrc]="candidate.avatar" style="margin-right: 5px"></nz-avatar>
            {{ candidate.name }}
          </td>
          <td *ngIf="selectedElectionType.key == 'CountryPresident'">
            <button nz-button nzShape="round" (click)="viewGoals(candidate)">
              {{ "Politics.Elections.Goals" | translate }}
            </button>
          </td>
          <td>
            {{ candidate.region.name }}
          </td>
          <td *ngIf="selectedElectionType.key != 'PartyPresident'">
            <nz-switch [ngModel]="candidate.isOfficial" nzCheckedChildren="Yes" nzUnCheckedChildren="No"
              [nzDisabled]="!canManage" (ngModelChange)="changeOfficiality(candidate.id)"></nz-switch>
          </td>
          <td *ngIf="selectedElectionType.key != 'PartyPresident'">
            <div *ngIf="candidate.isOfficial === true">
              {{ candidate.position + 1 }}
              <i class="fas fa-arrow-up" style="margin-left: 10px"
                (click)="changePosition(candidate.id, candidate.position - 1)"
                *ngIf="candidate.position > 0 && canManage"></i>
              <i class="fas fa-arrow-down" style="margin-left: 10px"
                (click)="changePosition(candidate.id, candidate.position + 1)&& canManage"
                *ngIf="candidate.position < maxPosition"></i>
            </div>
          </td>
          <td>
            <i *ngIf="canManage === true" class="far fa-trash-alt" (click)="remove(candidate.id)"></i>
          </td>
        </tr>
      </tbody>
    </nz-table>
  </nz-spin>
</div>